#
# spec file for package unicode-ucd
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# For other future directories from http://www.unicode.org/Public
%global unicodedir %{_datadir}/unicode
%global ucddir %{unicodedir}/ucd
Name:           unicode-ucd
Version:        15.1.0
Release:        1.1
Summary:        Unicode Character Database
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
# FIXME: use correct group or remove it, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
License:        Unicode-TOU
Group:          System/I18n
URL:            https://www.unicode.org/ucd/
Source0:        https://www.unicode.org/Public/zipped/%{version}/UCD.zip
# http://www.unicode.org/terms_of_use.html referenced in ReadMe.txt redirects to:
Source1:        COPYING
Source2:        https://www.unicode.org/Public/zipped/%{version}/Unihan.zip
Source3:        https://www.unicode.org/Public/zipped/%{version}/ReadMe.txt
BuildRequires:  unzip
BuildArch:      noarch

%description
The Unicode Character Database (UCD) consists of a number of data files listing
Unicode character properties and related data. It also includes data files
containing test data for conformance to several important Unicode algorithms.

%package unihan
Summary:        Unicode Han Database
# for the license and dirs
# FIXME: use correct group, see "https://en.opensuse.org/openSUSE:Package_group_guidelines"
Group:          System/I18n
Requires:       %{name} = %{version}-%{release}

%description unihan
This package contains Unihan.zip which contains the data files for the Unified
Han database of Hanzi/Kanji/Hanja Chinese characters.

%prep
%setup -q -c

grep -q "%{version}" ReadMe.txt || (echo "zip file seems not %{version}" ; exit 1)

%build
%{nil}

%install
mkdir -p %{buildroot}%{ucddir}
cp -ar . %{buildroot}%{ucddir}
cp -p %{SOURCE2} %{buildroot}%{ucddir}

cp -p %{SOURCE1} %{SOURCE3} .

%files
%doc ReadMe.txt
%license COPYING
%dir %{unicodedir}
%{ucddir}
%exclude %{ucddir}/Unihan.zip

%files unihan
%{ucddir}/Unihan.zip

%changelog
* Mon Oct  2 2023 pgajdos@suse.com
- version update to 15.1.0
  * upstream changelog:
    https://www.unicode.org/versions/Unicode15.1.0/
* Tue Dec  6 2022 Dirk Müller <dmueller@suse.com>
- update to 15.0.0:
  * Unicode 15.0 adds 4,489 characters, for a total of 149,186 characters. These
    additions include 2 new scripts, for a total of 161 scripts, along with 20 new
    emoji characters, and 4,193 CJK (Chinese, Japanese, and Korean) ideographs.
  See https://www.unicode.org/versions/Unicode15.0.0/
* Tue May 17 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 14.0.0
  * Unicode 14.0 adds 838 characters, for a total of 144,697 characters
  * These additions include 5 new scripts, for a total of 159 scripts
  * As well as 37 new emoji characters.
  * Full news: http://www.unicode.org/versions/Unicode14.0.0/
* Mon Jun 28 2021 Predrag Ivanović <predivan@mts.rs>
- Update version to 13.0.0. Upstream did not provide changelog.
- Use https for download.
* Thu Mar 12 2020 Hillwood Yang <hillwood@opensuse.org>
- Update version to 12.0.0. Upstream did not provide changelog.
* Tue Nov 13 2018 Cliff Zhao <qzhao@suse.com>
- Drop copyright.html, add COPYING: Move copyright.html to a TXT
  file, to meet openSUSE packages law requirement.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Feb 26 2018 dimstar@opensuse.org
- Use SPDX3.0 license tags and package COPYING as %%license.
* Wed Jun 21 2017 dimstar@opensuse.org
- Update to Unicode 10.0.0.
* Wed Sep 21 2016 zaitor@opensuse.org
- Initial packaging for openSUSE, version 9.0.0.
